<form id="form" [formGroup]="registerForm" (ngSubmit)="onSubmit()">
    <label> Ime </label><br>
    <input type="text" class="input-text"formControlName="first_name" [ngClass]="{ 'is-invalid': submitted && getCtrls.first_name.errors }" />
    <div *ngIf="submitted && getCtrls.first_name.errors" class="invalid-feedback">
      <div class="error" *ngIf="getCtrls.first_name.errors.required">Unesite Vase ime</div>
    </div>
    <br>
    <label> Prezime </label><br>
    <input type="text" class="input-text" formControlName="last_name" [ngClass]="{ 'is-invalid': submitted && getCtrls.last_name.errors }" />
    <div *ngIf="submitted && getCtrls.last_name.errors" class="invalid-feedback">
      <div class="error" *ngIf="getCtrls.last_name.errors.required">Unesite Vase prezime</div>
    </div>
    <br>
    <label> E-mail </label><br>
    <input type="email" name="email" id="email-login-input" class="input-text" formControlName="email"  [ngClass]="{ 'is-invalid': submitted && getCtrls.email.errors }" />
    <div *ngIf="submitted && getCtrls.email.errors" class="invalid-feedback" >
      <div class="error" *ngIf="getCtrls.email.errors.required">Unesite Vas email</div>
      <div class="error" *ngIf="getCtrls.email.errors.email">Unesite ispravan email</div>
    </div>
    
    <br>
    <label> Telefon </label><br>
    <input type="tel" name="phone" id="phone-login-input" class="input-text" formControlName="phone"  [ngClass]="{ 'is-invalid': submitted && getCtrls.phone.errors }" />
    <div *ngIf="submitted && getCtrls.phone.errors" class="invalid-feedback">
      <div class="error" *ngIf="getCtrls.phone.errors.required">Unesite Vas broj telefona</div>
    </div>
    <br>      
    <label> Lozinka </label><br>
    <input type="password" class="input-text" formControlName="password" [ngClass]="{ 'is-invalid': submitted && getCtrls.password.errors }" />
    <div *ngIf="submitted && getCtrls.password.errors" class="invalid-feedback">
      <div class="error" *ngIf="getCtrls.password.errors.required">Nedozvoljena lozinka</div>
      <div class="error" *ngIf="getCtrls.password.errors.minlength">Lozinka mora da ima minimalno 6 karaktera</div>

    </div>
    <br>
    <label> Potvrda lozinke </label><br>
    <input type="password" class="input-text" formControlName="conf_password" [ngClass]="{ 'is-invalid': submitted && getCtrls.conf_password.errors }" />
    <div *ngIf="submitted && getCtrls.conf_password != getCtrls.conf_password" class="invalid-feedback">
      <div class="error" *ngIf="getCtrls.conf_password.errors.required">Nedozvoljena lozinka</div>
      <div *ngIf="getCtrls.conf_password.errors.confirmedValidator">Lozinke se ne poklapaju</div>
    </div>
    <br><br>      




    <div class="btn">
      <button type="submit" id="submit-btn" [disabled]="loading">Registruj se
          <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
        </button>        
      <button type="reset" id="reset-btn">Reset
        <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
      </button>
    </div>
</form>
